Name:           whizard
Version:        2.2.8
Release: 	10.12%{?dist}1a
Summary:        The Generator of Monte Carlo Event Generators for LHC, ILC, CLIC, and other HEP Experiments
Group:          Application/Science
License:        GPL
URL:            http://whizard.hepforge.org/
Source:         http://www.hepforge.org/archive/whizard/whizard-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: ocaml gcc
%define __prefix	/opt/%{name}/%{name}-%{version}
Prefix: %{__prefix}

%description
WHIZARD is a program system designed for the efficient calculation of multi-particle scattering cross sections and simulated event samples.

Tree-level matrix elements are generated automatically for arbitrary partonic processes by using the Optimized Matrix Element Generator O'Mega. Matrix elements obtained by alternative methods (e.g., including loop corrections) may be interfaced as well. The program is able to calculate numerically stable signal and background cross sections and generate unweighted event samples with reasonable efficiency for processes with up to eight final-state particles; more particles are possible. For more particles, there is the option to generate processes as decay cascades including complete spin correlations.

Polarization is treated exactly for both the initial and final states. Final-state quark or lepton flavors can be summed over automatically where needed. For hadron collider physics, an interface to the standard LHAPDF is provided. For Linear Collider physics, beamstrahlung (CIRCE) and ISR spectra are included for electrons and photons. The events can be written to file in standard formats, including ASCII, STDHEP, the Les Houches event format (LHEF) or HepMC. These event files can then be showered and hadronized.

Currently, WHIZARD supports the Standard Model (optionally, with anomalous couplings), the MSSM, the NMSSM, Little Higgs models, Z' models, UED, and supports gravitinos and gravitons. Model extensions or completely different models can be added. There is also an interface to FeynRules.

%prep
%setup -n %{name}-%{version}

%build
./configure \
    --prefix %{__prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install \
     DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel,-)
%dir %{__prefix}
%{__prefix}/*

%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO VERSION

%changelog
* Mon Dec 19 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.2.8-10.12hepx1a
- 1st release on MacOS X 10.12
- built with OSXWS 10.11

* Tue Feb 09 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.2.8-10.11hepx1a
- 1st release on MacOS X 10.11

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.2.2-10.10hepx1a
- 1st release on MacOS X 10.10

* Thu Aug 07 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.2.2-10.9hepx1a
- 1st release on MacOS X 10.9

* Sat Nov 30 2013 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.1.1-10.9hepx1a
- 1st release on MacOS X 10.9

* Fri Jun 22 2012 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.1.0-10.7hepx1a
- 1st release on MacOS X 
